>From ec34a8a07f317baffc02d842a6d82586be3020d8 Mon Sep 17 00:00:00 2001
From: Andreas Pakulat <apaku@gmx.de>
Date: Mon, 21 Feb 2011 21:41:36 +0100
Subject: [PATCH 3/3] Add self here.

Thats necessary as the change stored in aboutToBeInserted is being used
after the insertion has taken place.
---
 tests/modeltest/modeltest.py |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/modeltest/modeltest.py b/tests/modeltest/modeltest.py
index fefe5b4..442eb9b 100644
--- a/tests/modeltest/modeltest.py
+++ b/tests/modeltest/modeltest.py
@@ -305,13 +305,13 @@ class ModelTest(QtCore.QObject):
         c['oldSize'] = self.model.rowCount(parent)
         c['last'] = self.model.data(model.index(start-1, 0, parent))
         c['next'] = self.model.data(model.index(start, 0, parent))
-        insert.append(c)
+        self.insert.append(c)
 
     def rowsInserted(self, parent, start, end):
         """
         Confirm that what was said was going to happen actually did
         """
-        c = insert.pop()
+        c = self.insert.pop()
         assert(c['parent'] == parent)
         assert(c['oldSize'] + (end - start + 1) == self.model.rowCount(parent))
         assert(c['last'] == self.model.data(self.model.index(start-1, 0, c['parent'])))
-- 
1.7.2.3

